-----------------------------------------------
-- Net Search
-----------------------------------------------
scriptObj = getScriptObject()

function split(str, pat)
    local t = {}  -- NOTE: use {n = 0} in Lua-5.0
    local fpat = "(.-)" .. pat
    local last_end = 1
    local s, e, cap = str:find(fpat, 1)
    while s do
        if s ~= 1 or cap ~= "" then
            upd_cap = cap.sub(cap, 1, cap:len() - pat:len())
            table.insert(t, upd_cap)
        end
        last_end = e+1
        s, e, cap = str:find(fpat, last_end)
    end
    if last_end <= #str then
        cap = str:sub(last_end)
        table.insert(t, cap)
    end
    return t
end

content = scriptObj:getContent()
src_tbl = {}
src_tbl = split(content, "\n")
url = src_tbl[1]
encoding = src_tbl[2]
space = src_tbl[3]

if encoding == nil then
    encoding = ""
end

if space == nil then
    space = "1"
end

is_space = tonumber(space)

-- Ctrl + C
scriptObj:keyDown(17)
scriptObj:keyDown(67)
scriptObj:keyUp(67)
scriptObj:keyUp(17)

scriptObj:sleep(50)

clip_text = scriptObj:readClipboard()
cmd_str = url .. scriptObj:encodeUrl(clip_text, encoding, is_space)
scriptObj:shellExecute(cmd_str, "");
